package com.usky.cdi.service.util;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2026/5/30
 */
/**
 * 人防掩蔽单元人员流量数据实体
 */
public class PeopleFlowData {
    // 采样时间（HH:mm）
    private String sampleTime;
    // 上一时刻人数
    private int lastPeopleCount;
    // 本期监测入口流入人数
    private int inFlow;
    // 本期全出口流出人数
    private int outFlow;
    // 当前现有人数
    private int currentPeopleCount;

    // 构造器
    public PeopleFlowData(String sampleTime, int lastPeopleCount, int inFlow, int outFlow, int currentPeopleCount) {
        this.sampleTime = sampleTime;
        this.lastPeopleCount = lastPeopleCount;
        this.inFlow = inFlow;
        this.outFlow = outFlow;
        this.currentPeopleCount = currentPeopleCount;
    }

    // toString（方便控制台打印）
    @Override
    public String toString() {
        return "采样时间：" + sampleTime +
                " | 上一时刻人数：" + lastPeopleCount +
                " | 本期流入：" + inFlow +
                " | 本期流出：" + outFlow +
                " | 当前现有人数：" + currentPeopleCount;
    }

    // Getter & Setter
    public String getSampleTime() {return sampleTime;}
    public int getLastPeopleCount() {return lastPeopleCount;}
    public int getInFlow() {return inFlow;}
    public int getOutFlow() {return outFlow;}
    public int getCurrentPeopleCount() {return currentPeopleCount;}
}
